import prisma from '../utilities/Prisma' // Import the global Prisma instance
import { Sprite } from '@prisma/client'

class SpriteRepository {
  async getById(id: string): Promise<Sprite | null> {
    return prisma.sprite.findUnique({
      where: { id },
      include: {
        spriteImages: true
      }
    })
  }

  async getAll(): Promise<Sprite[]> {
    return prisma.sprite.findMany()
  }
}

export default new SpriteRepository()
